CONTENTS OF THIS FILE
---------------------

* Introduction
* Recommended modules
* Configuration

INTRODUCTION
------------

This module is a fork of [S3 CORS Upload](https://www.drupal.org/project/s3fs_cors), re-written to work with the
[S3 File System](https://www.drupal.org/project/s3fs) module and [Foldershare](https://www.drupal.org/project/foldershare) module.

RECOMMENDED MODULES
-------------------

* This module requires S3 File System 8.x-3.x
  (https://www.drupal.org/project/s3fs)
* Token 8.x-1.x. (https://www.drupal.org/project/token)
* Foldershare 3.x (https://www.drupal.org/project/foldershare)

CONFIGURATION
-------------

Ensure your S3 file system is correctly configured via the admin page at
"/admin/config/media/s3fs".

To configure your S3 bucket so that it will accept CORS uploads, go to the
"/admin/config/foldershare/foldershare_s3_cors" page on your admin site, enable the "Enable S3 CORS uploads for FolderShare"
field.